.dishes-page {
    padding: 30px 0;
    width: 100%;
}

.dish-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(254px, 1fr));
    gap: 40px;
    margin: 0;
}

.dish-card {
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
}

.dish-card-image {
    width: 100%;
    aspect-ratio: 1 / 1;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 10px;
}

.dish-card-restaurant-logo {
    position: absolute;
    width: 60px;
    height: 60px;
    top: 20px;
    left: 20px;
    background-color: #FFFFFF;
    border-radius: 6px;
}

.dish-card-body {
    display: flex;
    flex-direction: column;
    margin: 10px 0 0 0;
}

.dish-card-price {
    font-family: 'Golos Text', Montserrat, sans-serif;
    font-size: 20px;
    font-weight: 600;
    line-height: 24px;
    margin: 0 0 6px 0;
    letter-spacing: 0%;
}

.dish-card-name {
    font-family: 'Golos Text', Montserrat, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    margin: 0 0 8px 0;
    height: 34px;
    overflow-y: auto;
    transition: all 0.3s ease-in-out;
}

.dish-card-name::-webkit-scrollbar {
    width: 0px;
    transition: all 0.3s ease-in-out;
}

.dish-card-name::-webkit-scrollbar-thumb {
    width: 2px;
    height: 10px;
    background-color: #008C3A;
    border-radius: 20px;
    transition: all 0.3 ease;
}

.dish-card:hover .dish-card-name::-webkit-scrollbar {
    width: 2px;
    transition: all 0.3s ease-in-out;
}

.dish-card-food-value {
    font-family: 'Golos Text', Montserrat, sans-serif;
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
    margin: 0 0 10px 0;
    color: #AAAAAA;
    display: flex;
    height: 14px;
}

.dish-card-food-value-weight,
.dish-card-food-value-calories,
.dish-card-food-value-dot,
.dish-card-food-value-weight-unit {
    color: #AAAAAA;
    font-family: 'Golos Text', Montserrat, sans-serif;
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
}

.dish-card-food-value-weight-unit {
    margin-left: 3px;
}

.dish-card-food-value-dot {
    margin: 0 6px 0;
    width: 2px;
    height: 2px;
}

.dish-card-button {
    cursor: pointer;
    height: 40px;
    width: 100%;
    border: 0;
    border-radius: 6px;
    font-family: 'Golos Text', Montserrat, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    color: #FFFFFF;
    background-color: #008C3A;
}

.dish-card-button-plus {
    width: 18px;
    height: 18px;
    margin: 0 10px 0 0;
}

.dish-card-button-plus path {
    stroke: #FFFFFF;
}

p {
    margin: 0;
}

@media (max-width: 1470px) {
    .dish-list {
        margin: 0 16px;
    }
}

@media screen and (max-width: 1100px) {
    .dish-list {
        grid-template-columns: repeat(auto-fill, minmax(161px, 1fr));
        gap: 30px;
    }

    .dish-card-restaurant-logo {
        width: 40px;
        height: 40px;
        top: 10px;
        left: 10px;
    }

    .dish-card-price {
        font-size: 16px;
        line-height: 19px;
    }

    .dish-card-name {
        font-size: 12px;
        line-height: 14px;
        margin: 0 0 4px 0;
        height: 29px;
    }

    .dish-card-button-plus {
        margin: 0 10px 0 0;
    }
}

@media (max-width: 980px) {
    .dishes-page {
        padding: 0;
    }
}

@media screen and (max-width: 600px) {
    .dish-list {
        grid-template-columns: repeat(auto-fill, minmax(159px, 1fr));
        gap: 30px 10px;
    }

    .dish-card-restaurant-logo {
        display: none;
    }
}